<?php
header('Content-type: text/plain');
header('Content-Disposition: attachment; filename="visualiseur-01.html"');
?>
<!doctype html>
<html dir="ltr" lang="fr-ch">
<head>
  <meta content="text/html; charset=UTF-8" http-equiv="content-type">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta name="generator" content="Générateur de visualiseurs d'images tous écrans 'itea', de Marcel Délèze">
  <meta name="robots" content="NoIndex,NoFollow">
  <style>
html, body { margin:0; padding:0; }
body { background-color:#000000; width:auto; max-width:821px; min-width:411px; margin-left:auto; margin-right:auto;  }
table { width:auto; height:auto; border-style:none; border-collapse:collapse; border-spacing:0; margin-left:auto; margin-right:auto; margin-top:8px; margin-bottom:8px; padding:0; }
td { width:auto; height:auto; border-style:solid; border-width:thin; border-color:#993399; margin:0; padding-top:2px; padding-left:4px; padding-right:4px; padding-bottom:2px; text-align:center; vertical-align:middle; }
table.struct {  background-color:#f2f2ff; width:auto; margin:0; border-style:none; border-collapse:collapse; border-spacing:0; padding:0; margin-left:auto; margin-right:auto; }
td.struct {  background-color:#f2f2ff; width:auto; margin:0; border-style:none; padding:0; }
td.struct-tete {  background-color:#993399; color:#f2f2ff; text-align:center; width:auto; margin:0; border-style:none; padding:0; padding-bottom:4px; }
td.struct-pied {  background-color:#993399; color:#f2f2ff; font-size:115%; text-align:center; width:auto; margin:0; border-style:none; padding-top:8px; padding-bottom:8px; line-height:2; }
div.struct { width:100%; min-width:411px; height:auto; text-align:left; margin:0; border-style:none; border-top-style:solid; border-color:#993399; border-top-width:thin; border-spacing:0; padding-top:5px; padding-bottom:5px; padding-left:0; padding-right:0;  }
div.centre { height:auto; width:50%; min-width:411px; margin-top:3px; margin-bottom:3px; margin-left:auto; margin-right:auto; border-style:none; border-top-style:solid; border-color:#993399; border-top-width:thin; border-spacing:0; padding-top:2px; padding-bottom:4px; padding-left:0; padding-right:0; text-align:left; }
div.indent { margin:0; padding-top:0; padding-bottom:0; padding-left:5%; padding-right:0; width:auto; border-style:none; text-align:left; }
div.encart { height:auto; width:35%; min-width:160px; float:right; text-align:center; border-style:solid; border-color:#993399; border-top-width:thin; border-bottom-width:thin; border-left-width:thin; border-right-style:none; border-collapse:collapse; margin-top:0; margin-left:1%; margin-right:0; margin-bottom:3px; padding-top:0; padding-left:1%; padding-right:0; padding-bottom:3px;}
div.plaqued { height:auto; min-width:120px; width:auto; float:right; text-align:center; border-style:none; margin:0; padding-top:0; padding-bottom:4px; border-style:none; }
div.plaqueg { height:auto; width:400px; clear:both; float:left; text-align:left; border-style:none; margin-left:0; padding-top:0; padding-bottom:4px; }
h1 { text-align:center; width:auto; color:#f2f2ff; font-size:130%; font-weight:bold; margin:0; margin-top:8px; margin-bottom:4px; padding:0; padding-left:3%; padding-right:1%; border-style:none; }
h2 { text-align:center;width:auto; color:#f2f2ff; font-size:115%; font-weight:bold; margin:0; margin-top:6px; margin-bottom:3px; padding:0; padding-left:3%; padding-right:1%; border-style:none; }
h3 { text-align:center; width:auto; color:#000000; font-size:115%; font-weight:bold; margin:0; margin-top:6px; margin-bottom:2px; padding:0; padding-left:3%; padding-right:1%; border-style:none; }
h4 { text-align:left; width:auto; color:#000000; font-size:100%; font-weight:bold; margin:0; margin-top:6px; padding:0; padding-left:3%; padding-right:1%; border-style:none;  }
p { text-indent:5%; text-align:left; width:auto; margin:0; margin-top:3px; margin-bottom:2px; padding:0; padding-left:3%; padding-right:1%; border-style:none;  word-wrap:break-word; }
p.note { text-indent:-1%; font-size:10pt; text-align:left; width:auto; margin:0; margin-top:3px; margin-bottom:2px; padding:0; padding-left:2%; padding-right:1%; border-style:none;  word-wrap:break-word; }
p.program { font-family:'Courier New',monospace; font-weight:bold; font-size:80%; white-space:pre; border-style:none; margin:0; padding-top:2px; padding-bottom:2px; padding-left:3%; padding-right:1%; width:95%; text-align:left; }p.note { font-size:10pt; text-align:left; width:auto; margin:0; margin-top:3px; margin-bottom:2px; padding:0; padding-left:2%; padding-right:1%; border-style:none;  word-wrap:break-word; }
span.formule { font-family:'Courier New',monospace; font-weight:bold; font-size:80%; margin-left:2px; margin-right:2px; }
ul, ol { text-align:left; margin-top:0; margin-bottom:4px; margin-left:2%; }
li { word-wrap:break-word; margin-top:2px; margin-bottom:2px; padding-right:1%; }
blockquote { margin-top:0; margin-bottom:4px; }
dl { text-align:left; margin-top:0; margin-bottom:0; padding-left:3%; padding-right:1%; }
dt { text-align:left; margin-top:4px; margin-bottom:0; word-wrap:break-word; }
pre { display:block; font-family:'Courier New',monospace; font-weight:bold; font-size:small; white-space:pre; margin:5px; }

p { text-indent:0; }
p.note { text-indent:0; }
div.ico {float:left; margin:6px; padding:0; border:none; width:32px; height:32px; }
div.svg {margin-left:auto; margin-right:auto; }
li.in { margin-top:5px; margin-bottom:5px; padding-top:4px; padding-bottom:4px; }

body { font-size:100%; min-width:375px; max-width:1920px; }
div { padding:4px; border-style:solid; border-top-width:thin; border-bottom-width:0; border-left-width:0; border-right-width:0; border-color:#993399; border-collapse:collapse; margin:0; background-color:#d8b97e; }
div.vign { max-width:400px; max-height:none; float:left; border-style:none; }
img {margin:1px; border-style:solid; border-width:thin; border-color:#993399; }
img.vign { max-width:388px; max-height:291px; display:block; width:auto; height:auto; }
p { text-align:center; }
	
	</style>
<!--
	largeur maximale de l'image vign: 388px
	largeur maximale de la division vign: 400px (pour contenir 2px de img-margin et 8px de div-padding)
	hauheur maximale de l'image vign: 291px
	hauteur maximale de la division vign: illimité (pour contenir les légendes des images)
-->
<?php
    $titre = $_POST['titre'];
	$soustitre = $_POST['soustitre'];
    echo '<title>'.$titre.'</title>'.PHP_EOL;
?>
</head>
<body>
<table class="struct">
	<tr>
		<td class="struct-tete">
<div class="ico" title="Tétraèdre">
	<svg width="32" height="32" viewBox="40,40 320,320">
		<rect x="40" y="40" width="320" height="320" style="fill:#f2f2ff; stroke:none" />
		<polygon points="150,250 60,340 150,60" style="stroke:none; fill:rgb(79,24,236)" />
		<polygon points="150,250 340,250 150,60" style="stroke:none; fill:#993399" />
		<polygon points="150,250 60,340 340,250" style="stroke:none; fill:rgb(87,250,255)" />
		<polyline points="60,340 340,250 150,60, 60,340" stroke="black" fill="none" stroke-width="1" />
		<line x1="150" y1="250" x2="60" y2="340" stroke="black" stroke-width="1" stroke-dasharray="10 7" />
		<line x1="150" y1="250" x2="340" y2="250" stroke="black" stroke-width="1" stroke-dasharray="10 7" />
		<line x1="150" y1="250" x2="150" y2="60" stroke="black" stroke-width="1" stroke-dasharray="10 7" />
	</svg>
</div><!-- ico -->
<?php
    echo '<h1>'.$titre.'</h1>'.PHP_EOL;
    echo '<h2>'.$soustitre.'</h2>'.PHP_EOL;
?>
		</td>
	</tr>
	<tr>
		<td class="struct" style="padding:0;">
			<div class="struct" style="background-color:#e0d0e0; border-style:none;">
<p>
   Cliquer sur une image pour l'agrandir ou la télécharger.
</p>
			</div><!--struct -->
		</td>
	</tr>
	<tr>
		<td style="background-color:#d8b97e">
			<div class="struct" style="text-align:center; border-style:none;">
<?php
	$msg='';
    /*
     * La boucle principale porte sur les images originelles.
     */
    $dir = $_POST['dir'];
    $n=0;  // Nombre total de fichiers
    $t=array(); // tableau de tous les fichiers
    if (is_dir($dir)) {
        if ($dh = opendir($dir)) {
			while (($file = readdir($dh)) !== false) {
    			$nom=$dir."/".$file;
                if (is_file($nom)) {
                    $t[$n]=$file;
                    $n++;
                    $i=$n-1;
                    while (($i>0) and (strnatcasecmp($t[$i-1],$t[$i])>0)) {
                        $ech=$t[$i];
                        $t[$i]=$t[$i-1];
                        $t[$i-1]=$ech;
                        $i--;
					}
				}
            }
			closedir($dh);
        }
	}	
	/*
	 *	Formation du visualiseur (qui est une page HTML)
	 */
	for ($i=0; $i<$n; $i++) {
		list($width, $height) = getimagesize($dir.'/'.$t[$i]);
			echo '<div class="vign">'.PHP_EOL;
			echo '<a href="'.$dir.'/'.$t[$i].'"><img class="vign" src="'.$dir.'/'.$t[$i].'" alt="'.$t[$i].'" title="'.$t[$i].'"></a>'.PHP_EOL;
			echo PHP_EOL.'</div>'.PHP_EOL;
	}
?>
			</div><!-- struct -->
		</td><!-- struct -->
	</tr>
    <tr>
		<td class="struct-pied">
<?php
    $lien_retour = $_POST['lien_retour'];
    $texte_retour = $_POST['texte_retour'];
    echo '<a style="color:#f2f2ff;" href="'.$lien_retour.'">'.$texte_retour.'</a>'.PHP_EOL;
?>
		</td><!-- struct -->
	</tr>
</table>
</body>
</html>			 
